let shared = require("DCIS/dcisFcns");
var console = require("console");
var LABKEY = require("labkey");
var analysis = require("analysisModule/analysisFcns");

//how routines implemented from java look in javascript:
//https://docs.nativescript.org/runtimes/android/marshalling/java-to-js
function init(event, errors) {
   console.log("init() called in orgs.js with an event type of " + event);
   console.log("Function in shared TriggerFcns.js script returns :" +  analysis.sampleFunc('echo'));
}

function complete(event, errors) {
    console.log("complete() called in orgs.js with an event type of " + event);
}

function beforeInsert(row, errors){
   console.log("beforeInsert() called in orgs.js with a row object of  " + row);
   row.status=2;
}

function beforeUpdate(row, oldRow, errors){
   console.log("beforeUpdate() called in orgs.js with a row object of  " + row + "  and an oldRow of " + oldRow);
}

function beforeDelete(row, errors){
    console.log("beforeDelete() called in orgs.js with a row object of  " + row);
}
function afterInsert(row, errors){
    console.log("afterInsert() called in orgs.js with a row object of  " + row);
   shared.startImport(LABKEY,analysis,console,row);
}

function afterUpdate(row, oldRow, errors){
    console.log("afterUpdate() called in orgs.js with a row object of  " + row + "  and an oldRow of " + oldRow);
}
function afterDelete(row, errors){
    console.log("afterDelete() called in orgs.js with a row object of  " + row);
}
